Skip to main content
`Ctrl`+`K`

# MatIsShell

Inquires if a matrix is derived from `MATSHELL`

## Synopsis

    #include "petscmat.h"
    PetscErrorCode MatIsShell(Mat mat, PetscBool *flg)

## Input Parameter

- mat - the matrix

## Output Parameter

- flg - the Boolean value

## See Also

Matrices, `Mat`, `MATSHELL`, `MATMFFD`, `MatCreateShell()`, `MATTRANSPOSEVIRTUAL`, `MATSCHURCOMPLEMENT`

## Level

developer

## Location

src/mat/impls/shell/shell.c

Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages